class CreateAnnonceOptionTypes < ActiveRecord::Migration
  def change
    create_table :annonce_option_types do |t|
      t.string :name
      t.string :slug
      t.integer :periode
      t.integer :periode_type
      t.integer :cost
      t.integer :position
      t.text :description
      t.boolean :enabled

      t.timestamps null: false
    end
    
    AnnonceOptionType.create(:name => "Ajouter 5 photos supplémentaires ( 10 photos au total )", :slug => "5-photos", :enabled => true, :cost => 6  )
    AnnonceOptionType.create(:name => "Ajouter 10 photos supplémentaires ( 15 photos au total )", :slug => "10-photos", :enabled => true, :cost => 10 )
    AnnonceOptionType.create(:name => "Remonter l'annonce en tête de liste", :slug => "list-head", :enabled => true, :cost => 2 )
    AnnonceOptionType.create(:name => "Annonce surlignée pour une durée d'une semaine", :slug => "surligne-une-semaine", :enabled => true, :cost => 2 , :periode => 1, :periode_type => 1 )
    AnnonceOptionType.create(:name => "Annonce surlignée pour une durée d'un mois", :slug => "surligne-un-mois", :enabled => true, :cost => 6 , :periode => 1, :periode_type => 2 )
    AnnonceOptionType.create(:name => "Logo urgent pour une durée d'une semaine", :slug => "urgent-une-semaine", :enabled => true, :cost => 2 , :periode => 1, :periode_type =>1 )
    AnnonceOptionType.create(:name => "Logo urgent pour une durée d'un mois", :slug => "urgent-un-mois", :enabled => true, :cost =>  6, :periode => 1, :periode_type => 2)
    AnnonceOptionType.create(:name => "Annonce géante (prend la place de deux annonces sur la liste, avec une grande photo) pour une durée d'une semaine", :slug => "big-une-semaine", :enabled => true, :cost => 20 , :periode => 1 , :periode_type => 1)
    AnnonceOptionType.create(:name => "Annonce géante (prend la place de deux annonces sur la liste, avec une grande photo) pour une durée d'un mois", :slug => "big-un-mois", :enabled => true, :cost =>50  , :periode =>1 , :periode_type => 2)
    AnnonceOptionType.create(:name => "Annonce présente sur la droite dans la catégorie de l'annonce sur toute la France pour une durée d'une semaine", :slug => "right-france", :enabled => false, :cost => 120  , :periode => 1, :periode_type => 1)
    AnnonceOptionType.create(:name => "Annonce présente sur la droite dans la catégorie de l'annonce sur toute la région pour une durée d'une semaine", :slug => "right-region", :enabled => false, :cost => 80 , :periode => 1, :periode_type => 1)
    AnnonceOptionType.create(:name => "Annonce présente sur la droite dans la catégorie de l'annonce sur tout le département pour une durée d'une semaine", :slug => "right-departement", :enabled => false, :cost => 60 , :periode => 1, :periode_type => 1)
    AnnonceOptionType.create(:name => "Annonce présente sur la droite dans la catégorie de l'annonce sur toute la ville pour une durée d'une semaine", :slug => "right-ville", :enabled => false, :cost => 30 , :periode => 1, :periode_type => 1)
    
  end
end
